<script setup>
const props =defineProps (['mailtitle','mailbody']);
const emit = defineEmits (['send']);

const mailadress = ref ("");

function sendMail () {

    if (mailadress.value){

        sendEmail1Process();

        emit ("send");
    }else{
        alert ("veuillez saisir l'adresse e-mal svp");
    }
}

async function sendEmail1Process() {
  const mail = useMail();
    try {
/*
        alert (
            "ENVOIE DE MAIL: "+
            "\nto: "+mailadress.value+
            "\nfrom: "+useRuntimeConfig().public.mailFrom+
            "\nsubject: "+props.mailtitle+
            "\ntext: "+props.mailbody
        );
*/
        await mail.send({
            to: mailadress.value,
            from: useRuntimeConfig().public.mailFrom,
            subject: props.mailtitle,
            text: props.mailbody,
        });
        alert ("email envoyé");
} catch (e) {
        alert ("problème lors de l'envoie de l'email");
        console.log (e);
    }
}
</script>

<template>
    <div class="bg-white rounded-[4px] shadow-las flex" >
        <form>
        <input
            type="text" 
            placeholder="adresse mail" 
            class="min-w-0 p-[2px] placeholder:text-black rounded-[10px] shadow-las focus:placeholder:text-neutral-200" 
            v-model="mailadress"
        >
        </form>
        <img @click="sendMail ()" src="/images/arrow_right.svg" width="12px" height="18px">
    </div> 
</template>